=== debian/changelog ===
bochs (2.3.7-maemo1) unstable; urgency=low

  * Initial release for Fremantle

 -- Toni Nikkanen <toni@tuug.fi>  Sat,  13 Mar 2010 14:03:16 +0200
